
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: prb_freprbevt.c					*/
/* date		: May 18 1994						*/
/* version	: v100							*/
/* authors	: Julien DUNOYER					*/
/* content	: low-level prb function				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include MUT_H
#include PRB_H

/* ###--------------------------------------------------------------### */
/* function	: prb_freprbevt						*/
/* description	: release a list of PRBVT (event) structures		*/
/* called func.	: mbkfree						*/
/* ###--------------------------------------------------------------### */

void prb_freprbevt (listprbevt)

struct prbevt *listprbevt;

  {
  struct prbevt *ptevt;

        /* ###------------------------------------------------------### */
        /*    for each object of the list delete the object itself      */
        /* ###------------------------------------------------------### */

  while (listprbevt != NULL)
    {
    ptevt     = listprbevt;
    listprbevt = listprbevt->NEXT;
    mbkfree (ptevt);
    }
  }
