
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: prb_freprbino.c					*/
/* date		: May 18 1994						*/
/* version	: v100							*/
/* authors	: Julien DUNOYER					*/
/* content	: low-level prb function				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include MUT_H
#include PRB_H

/* ###--------------------------------------------------------------### */
/* function	: prb_freprbino						*/
/* description	: release a list of PRBINO structures			*/
/* called func.	: mbkfree						*/
/* ###--------------------------------------------------------------### */

void prb_freprbino (listprbino)

struct prbino *listprbino;

  {
  struct prbino *ptino;

        /* ###------------------------------------------------------### */
        /*    for each object of the list delete the object itself      */
        /* ###------------------------------------------------------### */

  while (listprbino != NULL)
    {
    ptino     = listprbino;
    listprbino = listprbino->NEXT;
    mbkfree (ptino);
    }
  }
