/*------------------------------------------------------------\
|                                                             |
| This file is part of the Alliance CAD System Copyright      |
| (C) Laboratoire LIP6 - Dpartement ASIM Universite P&M Curie|
|                                                             |
| Home page      : http://www-asim.lip6.fr/alliance/          |
| E-mail support : mailto:alliance-support@asim.lip6.fr       |
|                                                             |
| This progam is  free software; you can redistribute it      |
| and/or modify it under the  terms of the GNU Library General|
| Public License as published by the Free Software Foundation |
| either version 2 of the License, or (at your option) any    |
| later version.                                              |
|                                                             |
| Alliance VLSI  CAD System  is distributed  in the hope that |
| it  will be useful, but WITHOUT  ANY WARRANTY;              |
| without even the  implied warranty of MERCHANTABILITY or    |
| FITNESS FOR A PARTICULAR PURPOSE. See the GNU General       |
| Public License for more details.                            |
|                                                             |
| You should have received a copy  of the GNU General Public  |
| License along with the GNU C Library; see the file COPYING. |
| If not, write to the Free Software Foundation, Inc.,        |
| 675 Mass Ave, Cambridge, MA 02139, USA.                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------\
|                                                       |
|  Title   :             C4_lofig												|
|                                                       |
|  Date    :             30.10.01                       |
|                                                       |
|  Authors :  Greiner Alain, Beaudenon Vincent          |
|                                                       |
\------------------------------------------------------*/

#ifndef __C4_lofig_H__
#define __C4_lofig_H__

#ifndef C4_FICTIVE
#define C4_FICTIVE "*"
#endif

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include MUT_H
#include AUT_H
#include ABL_H
#include BDD_H
#include ABE_H
#include ABV_H
#include ABT_H

#include MLO_H
#include MLU_H
#include MPH_H

/*//netlist
void C4_netlist_put_in (lofig_list * LOFIG, char *c, losig_list * grille,
			losig_list * drain, losig_list * source, char type);
int C4_netlist_createN (lofig_list * LOFIG, long I_SIGNAUX, chain_list * abl,
			losig_list * down, losig_list * up);
int C4_netlist_createP (lofig_list * LOFIG, long I_SIGNAUX, chain_list * abl,
			losig_list * down, losig_list * up);
lofig_list *C4_netlist (befig_list * BehFigure, int buffer);

//ordonne
*/
#define C4_VINCENT_GAUCHE 1
#define C4_VINCENT_DROITE -1

//C4_lofig
lofig_list *C4_lofig (befig_list *, int buffer);

#endif
