/*------------------------------------------------------------\
|                                                             |
| This file is part of the Alliance CAD System Copyright      |
| (C) Laboratoire LIP6 - Dpartement ASIM Universite P&M Curie|
|                                                             |
| Home page      : http://www-asim.lip6.fr/alliance/          |
| E-mail support : mailto:alliance-support@asim.lip6.fr       |
|                                                             |
| This progam is  free software; you can redistribute it      |
| and/or modify it under the  terms of the GNU Library General|
| Public License as published by the Free Software Foundation |
| either version 2 of the License, or (at your option) any    |
| later version.                                              |
|                                                             |
| Alliance VLSI  CAD System  is distributed  in the hope that |
| it  will be useful, but WITHOUT  ANY WARRANTY;              |
| without even the  implied warranty of MERCHANTABILITY or    |
| FITNESS FOR A PARTICULAR PURPOSE. See the GNU General       |
| Public License for more details.                            |
|                                                             |
| You should have received a copy  of the GNU General Public  |
| License along with the GNU C Library; see the file COPYING. |
| If not, write to the Free Software Foundation, Inc.,        |
| 675 Mass Ave, Cambridge, MA 02139, USA.                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------\
|                                                       |
|  Title   :            Names (c4map) 									|
|                                                       |
|  Date    :             30.10.01                       |
|                                                       |
|  Authors :  Greiner Alain, Beaudenon Vincent          |
|                                                       |
\------------------------------------------------------*/
#ifndef __C4MAP_NAMES_H__
#define __C4MAP_NAMES_H__

#define C_PREFIXE "c4map_"

#define C_XOR_CELL "xr2_x4"
#define C_NXOR_CELL "nxr2_x4"
#define C_BUS_CELL "ts_x4"
#define C_REG_CELL "sff1_x4"
#define C_INV_CELL "inv_x4"

#define C_REG_CK "ck"
#define C_REG_DATA "i"
#define C_REG_OUT "q"

#define C_BUS_CMD "cmd"
#define C_BUS_DATA "i"
#define C_BUS_OUT "q"

#define C_C4_IN "in"
#define C_C4_OUT "q"

#define C_INV_IN "i"
#define C_INV_OUT "nq"

#define C_XOR_IN "i"
#define C_XOR_OUT "q"

#define C_NXOR_IN "i"
#define C_NXOR_OUT "nq"

#define C_VDD "vdd"
#define C_VSS "vss"

#endif
