/*
 * $Author: ac $
 * $Id: testmem.c,v 1.1 1999/10/21 12:51:55 ac Exp $
 * $Date: 1999/10/21 12:51:55 $
 */

#include <stdio.h>
#include BFL_H

typedef struct test {
    struct test *next;
} test_t;

int
main()
{
    int i, size;
    test_t *head = 0;

    printf("sizeof(test_t) = %d\n", sizeof(test_t));

    for (size = 8; size <= 128; size += 8) {
	for (i = 0; i < 1024; i++) {
	    test_t *test = (test_t *) bflmemalloc(size);

	    test->next = head;
	    head = test;
	}

	while (head) {
	    test_t *next = head->next;

	    bflmemfree(head, size);
	    head = next;
	}
	printf("test good for size = %d\n", size);
    }
    return 0;
}
